/*! @file
********************************************************************************
<PRE>
Module       : CMMusic
file	     : 
function	 : 
author       : fedorawang
ver	         : v1.5
--------------------------------------------------------------------------------
Copyright    : GPL(General Public License)
--------------------------------------------------------------------------------
</PRE>
*******************************************************************************/
#ifndef CONFIGMGR_H_
#define CONFIGMGR_H_

#include "commdef.h"

class CConfigMgr
{
public:
	CConfigMgr();
	virtual ~CConfigMgr();

public:
	std::string GetCfgStr(const char* lpszArg);
	int GetCfgInt(const char* lpszArg);
	void SetCfg(const char* lpszArg,const char* lpszStr);
	void SetCfg(const char* lpszArg,int nData);
	void Load(const char* lpszFile);
	void Save();
	bool IsChanged();
	bool IsKey(const char* lpszArg,int nKey);
//	static CConfigMgr* GetInstance();
private:
	std::map<std::string,std::string> m_mapData;
	std::map<std::string,std::string> m_mapBackup;
	std::string m_strPath;
//	static CConfigMgr* m_shInstance;
};

#endif /*CONFIGMGR_H_*/
