/*! @file
********************************************************************************
<PRE>
Module       : CMMusic
file	     : 
function	 : 
author       : fedorawang
ver	         : v1.5
--------------------------------------------------------------------------------
Copyright    : GPL(General Public License)
--------------------------------------------------------------------------------
</PRE>
*******************************************************************************/
#ifndef LRCMGR_H_
#define LRCMGR_H_

#include "Helper.h"

class CLrcMgr 
{
public:
	typedef struct _LRCITEM
	{
		float fPos;
		std::string strItem;
	}LRCITEM,*LPLRCITEM;
public:
	CLrcMgr();
	virtual ~CLrcMgr();
public:
	void SetHight(int nH);
	std::string GetStr(int nIndex);
	int GetIndex(float fPos);
	float GetPos(const char* lpszStr);
	bool LoadFile(const char* lpszFile);
	bool IsEmpty();
	void EraseChar(std::string& str,char cChr);
private:
	std::vector<LRCITEM> m_vctLrc;
	int m_nHight;
};

#endif /*LRCMGR_H_*/
