/*! @file
********************************************************************************
<PRE>
Module       : CMMusic
file	     : 
function	 : 
author       : fedorawang
ver	         : v1.5
--------------------------------------------------------------------------------
Copyright    : GPL(General Public License)
--------------------------------------------------------------------------------
</PRE>
*******************************************************************************/

#include "UIMgr.h"
#include "PlayerMgr.h"
//default build as utf-8 env,lrc use gbk.
//you can define your lrc encode.
//run as: ./CMMusic -lrc gbk -mode text
int main(int argc,char *argv[])
{
	if (argc>1)
	{
		int nCnt = 1;
		while (nCnt < argc)
		{
			if (0 == strcmp(argv[nCnt],"-lrc"))
			{
				g_Helper->m_strLrcM = argv[nCnt+1];
				nCnt ++;
			}
			else if (0 == strcmp(argv[nCnt],"-mode"))
			{
				g_Helper->m_strMode = argv[nCnt+1];
				nCnt ++;
			}
			nCnt ++;
		}
	}
	CUIMgr* pUIMgr = new CUIMgr;
	CPlayerMgr* pPlayerMgr = new CPlayerMgr;
	pUIMgr->SetMgr(pPlayerMgr);
	pPlayerMgr->SetMgr(pUIMgr);
	pUIMgr->PaintLoop();
	delete pPlayerMgr;
	delete pUIMgr;
	delete g_Helper;
	return 0;
}
