#ifndef CURSEUI_H_
#define CURSEUI_H_
#ifdef HAVE_LIBCURSESW
#include <curses.h>
#else
#include <ncurses.h>
#endif
#include <panel.h>
#include <locale.h>
#include <string>

#define APP_DIR			"/.cmmusic/"

class CCurseUI
{
public:
	CCurseUI();
	virtual ~CCurseUI();
	virtual void SetParam(const char* lpszArg,const char* lpszData);
	virtual void DoModel();
	virtual void DoProccess();
	virtual void Layout();
	virtual void Output();
	std::string GetPath(const char* lpszFile);
protected:
	WINDOW *m_winFrame;
	PANEL *m_palFrame;
	std::string m_strTitle;
	std::string m_strOutput;
	std::string m_strAppPath;
};

#endif /*CURSEUI_H_*/
