#ifndef LISTDLG_H_
#define LISTDLG_H_
#include "CurseUI.h"
#include <menu.h>
#include <vector>
#include <fstream>
class CListDlg : public CCurseUI
{
public:
	CListDlg();
	virtual ~CListDlg();
	virtual void SetParam(const char* lpszArg,const char* lpszData);
	virtual void DoProccess();
	virtual void Layout();
private:
	void DriveMenu(MENU *menu,int nType);
protected:
	std::string m_strCaption;
	std::vector<std::string> m_vctList;
	std::vector<std::string> m_vctOption;
	MENU *m_menu;
	ITEM **m_items;
	MENU *m_meuOption;
	ITEM **m_itmOption;
};

#endif /*LISTDLG_H_*/
